<?php
/*===============================
Shortocde tz-skill-item
===============================*/

function tzinteriart_contact_info($atts) {
    $tz_type_icon = $tz_image = $tz_icon  = $tz_info = $tz_css_animation = '';
    extract(shortcode_atts(array(
        'tz_type_icon'              => 'icon',
        'tz_image'                  => '',
        'tz_icon'                   => '',
        'tz_info'                   => '',
        'tz_css_animation'          => '',
    ),$atts));
    ob_start();

    $tz_class_contact_info = '';
    if($tz_css_animation != ''){
        wp_enqueue_script( 'waypoints' );
        $tz_class_contact_info .= ' wpb_animate_when_almost_visible wpb_' . $tz_css_animation;
    }

    ?>
    <div class="tzElement_Contact <?php echo esc_attr($tz_class_contact_info); ?>">
        <?php
        if($tz_type_icon == 'icon'):
        ?>
        <div class="contact-icon">
            <i class="<?php echo esc_attr($tz_icon);?>"></i>
        </div>
        <?php else: ?>
        <div class="contact-image">
            <?php
            $tz_image_url = wp_get_attachment_url($tz_image);
            $tz_width_img ='';
            $tz_height_img ='';
            $tz_images_info = wp_get_attachment_image_src($tz_image, $size='full');
            if(isset($tz_images_info) && !empty($tz_images_info)){
                $tz_width_img = $tz_images_info[1];
                $tz_height_img = $tz_images_info[2];
            }

            echo'<img width ="'. esc_attr($tz_width_img) .'" height ="'. esc_attr($tz_height_img) .'" src="'. esc_url($tz_image_url ) .'" alt="'.esc_attr($tz_info).'" />';

            ?>
        </div>
        <?php endif;?>
        <div class="contact-info">
            <?php echo esc_html($tz_info);?>
        </div>
    </div>
    <?php
    return ob_get_clean();
}
add_shortcode('tz-contact-info','tzinteriart_contact_info');
?>
